Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions | Static Public Member Functions
TulipSettings Class Reference

This class provides convenience functions to access to the Tulip settings file (using QSettings) TulipSettings is a wrapper for QSettings providing quick access to common keys provided in the tulip configuration file. This object does not mask any method from the QSettings class. Which mean that the user can still access to custom keys by invoking the QSettings::value method. More...

`#include <TulipSettings.h>`

Collaboration diagram for TulipSettings:
[legend]

List of all members.

## Public Member Functions

- QList< QString > recentDocuments () const
    Retrieves the list of documents recently opened with tulip.
- void addToRecentDocuments (const QString &)
    Registers a file in the list of recently opened documents.

## Static Public Member Functions

- static TulipSettings & instance ()

## Detailed Description

This class provides convenience functions to access to the Tulip settings file (using QSettings) TulipSettings is a wrapper for QSettings providing quick access to common keys provided in the tulip configuration file. This object does not mask any method from the QSettings class. Which mean that the user can still access to custom keys by invoking the QSettings::value method.

## Member Function Documentation

void TulipSettings::addToRecentDocuments | ( | const QString & |  | ) |

Registers a file in the list of recently opened documents.

static TulipSettings& TulipSettings::instance | ( |  | ) | `[static]`

QList<QString> TulipSettings::recentDocuments | ( |  | ) | const

Retrieves the list of documents recently opened with tulip.

Tulip Software by LaBRI Visualization Team 2001 - 2012